Série Polar

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft PolarArray and the translation is 26% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский

Draft PolarArray.svg Draft PolarArray

Menu location
Modification → Array tools → Polar array
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
0.19
See also
Draft OrthoArray, Draft CircularArray, Draft PathArray, Draft PathLinkArray, Draft PointArray, Draft PointLinkArray

Descrição

The Draft PolarArray.svg Draft PolarArray command creates an array from a selected object by placing copies along a circumference. The command can optionally create a Link array, which is more efficient than a regular array.

The command can be used on 2D objects created with the Draft Workbench or Sketcher Workbench, but also on many 3D objects such as those created with the Part Workbench, PartDesign Workbench or Arch Workbench.

Draft PolarArray example.png

Draft PolarArray

Utilização

See also: Draft Snap.

  1. Optionally select one object.
  2. There are several ways to invoke the command:
    • Press the Draft PolarArray.svg Draft PolarArray button.
    • Select the Modification → Array tools → Draft PolarArray.svg Polar array option from the menu.
  3. The Polar array task panel opens. See Options for more information.
  4. If you have not yet selected an object: select one object.
  5. Enter the required parameters in the task panel.
  6. To finish the command do one of the following:
    • Pick a point in the 3D view for the Center of rotation.
    • Press Enter.
    • Press the OK button.

Opções

  • Enter the Polar angle to specify the total angle of the array. The angle is positive in the counter-clockwise direction.
  • Enter the Number of elements. Must be at least 2. The maximum that can be entered in the task panel is 99, but higher values are possible by changing the DadosNumber Polar property of the array.
  • Pick a point in the 3D view, note that this will also finish the command, or type coordinates for the Center of rotation. The rotation axis of the array will pass through this point. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press the Reset point button to reset the Center of rotation to the origin.
  • If the Fuse checkbox is checked overlapping elements in the array are fused. This does not work for Link arrays.
  • If the Link array checkbox is checked a Link array instead of a regular array is created. A Link array is more efficient because its elements are App Link objects.
  • Press Esc or the Cancel button to abort the command.

Notas

  • The default rotation axis for the array is the positive Z axis. This can be changed by editing its DadosAxis property.
  • A Draft PolarArray can be turned into a Draft OrthoArray or a Draft CircularArray by changing its DadosArray Type property.
  • A Link array cannot be turned into a regular array or vice versa. The type of array must be decided at creation time.

Preferências

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates and angles: Edit → Preferences... → General → Units → Units settings → Number of decimals.

Propriedades

See Draft OrthoArray.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

Parametric array

To create a parametric polar array use the make_array method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeArray method. The make_array method can create Draft OrthoArrays, Draft PolarArrays and Draft CircularArrays. For each array type one or more wrappers are available.

The main method:

array = make_array(base_object, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, use_link=True)

The wrapper for polar arrays is:

array = make_polar_array(base_object,
                         number=5, angle=360, center=App.Vector(0, 0, 0),
                         use_link=True)
  • base_object is the object to be arrayed. It can also be the Label (string) of an object in the current document.
  • number is the number of elements in the pattern, including the original object.
  • angle is the angle of the polar arc in degrees.
  • center is the vector that defines the center of the pattern.
  • If use_link is True the created elements are App Links instead of regular copies.
  • array is returned with the created array object.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

tri = Draft.make_polygon(3, 600)
center = App.Vector(-1600, 0, 0)

array = Draft.make_polar_array(tri, 8, 270, center)
doc.recompute()

Non-parametric array

To create a non-parametric polar array use the array method of the Draft module. This method returns None.

array(objectslist, center, angle, number)

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

tri = Draft.make_polygon(3, 600)
center = App.Vector(-1600, 0, 0)

Draft.array(tri, center, 270, 8)
doc.recompute()